%define name bootsplash
%define version 3.3.9
%define release %mkrel 1

Summary: Scripts to handle a Linux distribution theming
Name: %{name}
Version: %{version}
Release: %{release}
# From Mageia SVN
Source0: %{name}-%version.tar.xz
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Url:       http://svnweb.mageia.org/soft/bootsplash/
Requires: perl-base
# Do not require mkinitrd anymore to be able to be prerequed by mkinitrd (mkinitrd is in basesystem anyway)
# Requires: mkinitrd
#there is no way to say a special kernel requires.
Requires: kernel initscripts > 7.04-15
Requires: plymouth-scripts
BuildArch: noarch

%description
This package contains scripts that can be used to install and change the theme 
used by a Linux distribution (at boot time and in desktop sessions).

%prep
%setup -q

%build
make LIB=%{_lib}

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog 
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/scripts



%changelog

* Sat Apr 14 2012 colin <colin> 3.3.9-1.mga2
+ Revision: 230788
- Tidy up initrd processing on theme update.
- Rewrite remove-boot-spash in bash
- Add support for xv compressed initrds

* Wed Apr 04 2012 anssi <anssi> 3.3.8-1.mga2
+ Revision: 228289
- new version 3.3.8
  o make-boot-splash: dereference symlinks before operation (fixes
    /boot/initrd.img getting desymlinkified when called with it, reported
    by Colin Guthrie)

* Mon Feb 27 2012 anssi <anssi> 3.3.7-1.mga2
+ Revision: 215682
- bootsplash 3.3.7
  o add checks for some more failure conditions to prevent initrd
    corruption (there have been no confirmed reports, but these could
    probably be triggered by unsupported initramfs formats and full
    filesystems, or by some rarer command failures)
  o remove-boot-splash: drop support for old non-plymouth bootsplash

* Mon Jan 23 2012 tv <tv> 3.3.6-2.mga2
+ Revision: 200404
- no more Suggests: drakx-kbd-mouse-x11

* Mon Dec 19 2011 anssi <anssi> 3.3.6-1.mga2
+ Revision: 184118
- 3.3.6
- make-boot-splash:
  o don't truncate initrd if plymouth-populate-initrd doesn't exist
  o don't truncate initrd if plymouth-populate-initrd fails (reported by
    Thomas Backlund and Olivier Blin)

* Sun May 15 2011 pterjan <pterjan> 3.3.5-2.mga1
+ Revision: 98913
- Rebuild for fixed find-requires

* Sat Apr 16 2011 blino <blino> 3.3.5-1.mga1
+ Revision: 86516
- remove old version check (commented anyway)
- 3.3.5

* Sun Feb 27 2011 ahmad <ahmad> 3.3.3-4.mga1
+ Revision: 61293
- fix a typo in the summary

* Sun Feb 27 2011 ahmad <ahmad> 3.3.3-3.mga1
+ Revision: 61289
- use a generic summary/description
- drop an old conflicts

* Tue Feb 08 2011 dmorgan <dmorgan> 3.3.3-2.mga1
+ Revision: 49225
- Clean spec file
- imported package bootsplash

